<?php
if ($formatcetak == 'excel') {
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=cetakpembayaran.xls");
}
?>
<html>
    <body>
        <?php
        ini_set("max_execution_time", 60000);
        ini_set('memory_limit', '1024M');
        ?>
        <div style="position:absolute;top:30px;left:30px"><img src="<?= $ar_pemda->s_logo ?>" width="70"></div>
        <div>
            <div style='width: 100%;font-family:sans-serif;text-align: center;'>
                <strong style=" font-size: 13pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                <strong style=" font-size: 15pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                <span style="font-size:10pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
            </div>
            <hr style="line-height: 1px; color: black">
            <h4 style="text-align: center;font-family:sans-serif;">DAFTAR PEMBAYARAN <?= strtoupper($jenisketetapan) ?></h4>
            <p style="font-size: 10pt; line-height: 5px;font-family:sans-serif;"> 
                Tanggal : <?= $tglbayar0 ?> s/d <?= $tglbayar1 ?>
            </p>
            <table cellspacing="3" cellpadding="3" width="100%" class="font_sembilan" style="text-align: center;font-family:sans-serif;border-collapse: collapse;">
                <thead>
                <tr style="text-align: center;background:#ccc;">
                    <th class="border_atas border_bawah border_kanan border_kiri" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        NO.
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        NO.SPTPD
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        NAMA WP
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        NPWPD
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        NAMA OP
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        JENIS PAJAK
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        MASA PAJAK
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        TGL. PEMBAYARAN
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        POKOK
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        DENDA
                    </th>
                    <th style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        JUMLAH PEMBAYARAN (Rp.)
                    </th>
                </tr>
                </thead>
                <?php
                $totalpokok = 0;
                $totaldenda = 0;
                $totalpembayaran = 0;
                $totalpokok_sub = 0;
                $totaldenda_sub = 0;
                $totalpembayaran_sub = 0;

                $counter = 1;
                foreach ($this->data as $k => $v) {
                    if ($class_group <> $v['t_jenispajak']) {
                        if ($class_group <> '') {
                            $total_pokok_sub = ($formatcetak == 'pdf') ? number_format($totalpokok_sub, 0, ',', '.') : number_format($totalpokok_sub, 0, ',', '.');
                            $total_denda_sub = ($formatcetak == 'pdf') ? number_format($totaldenda_sub, 0, ',', '.') : number_format($totaldenda_sub, 0, ',', '.');
                            $total_bayar_sub = ($formatcetak == 'pdf') ? number_format($totalpembayaran_sub, 0, ',', '.') : number_format($totalpembayaran_sub, 0, ',', '.');
                            echo '<tr>
                                    <td colspan="8" align="center" style="border: 1px solid black; border-bottom: 1px solid black;"><b>TOTAL PEMBAYARAN ' . strtoupper($class_name) . '</b></td>
                                    <td style="border: 1px solid black;" align="right"><b>' . $total_pokok_sub . '</b></td>
                                    <td style="border: 1px solid black;" align="right"><b>' . $total_denda_sub . '</b></td>
                                    <td style="border: 1px solid black;" align="right"><b>' . $total_bayar_sub . '</b></td>
                                </tr>';
                            $totalpokok_sub = 0;
                            $totaldenda_sub = 0;
                            $totalpembayaran_sub = 0;
                        }

                        echo '<tr>
                                    <td colspan="11" style="border: 1px solid black;border-bottom: 1px solid black;" align="left"><b>' . $v['t_jenispajak'] . '. ' . strtoupper($v['s_namajenis']) . '</b></td>
                            </tr>';

                        $class_group = $v['t_jenispajak'];
                        $class_name = $v['s_namajenis'];
                    }
                    ?>
                    <tr style="text-align: center">
                        <td style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= $counter ?>
                        </td>
                        <td align="center" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= $v['t_nourut'] ?>
                        </td>
                        <td align="left" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= $v['t_nama'] ?>
                        </td>
                        <td align="left" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= $v['t_npwpd'] ?>
                        </td>
                        <td align="left" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= $v['t_namaobjek'] ?>
                        </td>
                        <td align="left" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= $v['s_namajenis'] ?>
                        </td>
                        <td align="left" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= date('d-m-Y', strtotime($v['t_masaawal'])).' s/d '.date('d-m-Y', strtotime($v['t_masaakhir'])) ?>
                        </td>
                        <td style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= date('d-m-Y', strtotime($v['t_tglpembayaran'])) ?>
                        </td>
                        <td style="border: 1px solid black;" align="right">
                            <?= ($formatcetak == 'pdf') ? number_format($v['t_jmlhpembayaran'], 0, ',', '.') : number_format($v['t_jmlhpembayaran'], 0, ',', '.') ?>
                        </td>
                        <td align="right" style="border: 1px solid black;">
                            <?= ($formatcetak == 'pdf') ? number_format($v['t_jmlhbayardenda'], 0, ',', '.') : number_format($v['t_jmlhbayardenda'], 0, ',', '.') ?>
                        </td>
                        <td align="right" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                            <?= ($formatcetak == 'pdf') ? number_format($v['t_jmlhpembayaran'] + $v['t_jmlhbayardenda'], 0, ',', '.') : number_format($v['t_jmlhpembayaran'] + $v['t_jmlhbayardenda'], 0, ',', '.') ?>
                        </td>
                    </tr>
                    <?php
                    $totalpokok_sub += $v['t_jmlhpembayaran'];
                    $totaldenda_sub += $v['t_jmlhbayardenda'];
                    $totalpembayaran_sub += ($v['t_jmlhpembayaran'] + $v['t_jmlhbayardenda']);

                    $totalpokok += $v['t_jmlhpembayaran'];
                    $totaldenda += $v['t_jmlhbayardenda'];
                    $totalpembayaran += ($v['t_jmlhpembayaran'] + $v['t_jmlhbayardenda']);
                    $counter++;
                }
                if ($class_group <> '') {
                    $total_pokok_sub = ($formatcetak == 'pdf') ? number_format($totalpokok_sub, 0, ',', '.') : number_format($totalpokok_sub, 0, ',', '.');
                    $total_denda_sub = ($formatcetak == 'pdf') ? number_format($totaldenda_sub, 0, ',', '.') : number_format($totaldenda_sub, 0, ',', '.');
                    $total_bayar_sub = ($formatcetak == 'pdf') ? number_format($totalpembayaran_sub, 0, ',', '.') : number_format($totalpembayaran_sub, 0, ',', '.');
                    echo '<tr>
                            <td colspan="8" align="center" style="border: 1px solid black;border-bottom: 1px solid black;"><b>TOTAL PEMBAYARAN ' . strtoupper($class_name) . '</b></td>
                            <td align="right" style="border: 1px solid black;"><b>' . $total_pokok_sub . '</b></td>
                            <td align="right" style="border: 1px solid black;"><b>' . $total_denda_sub . '</b></td>
                            <td align="right" style="border: 1px solid black;"><b>' . $total_bayar_sub . '</b></td>
                        </tr>';
                    $totalpokok_sub = 0;
                    $totaldenda_sub = 0;
                    $totalpembayaran_sub = 0;
                }
                ?>
                <tr>
                    <th colspan="8" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        TOTAL PEMBAYARAN (Rp.)
                    </th>
                    <th style="text-align: right;border: 1px solid black;">
                        <?= ($formatcetak == 'pdf') ? number_format($totalpokok, 0, ',', '.') : number_format($totalpokok, 0, ',', '.') ?>
                    </th>
                    <th style="text-align: right;border: 1px solid black;">
                        <?= ($formatcetak == 'pdf') ? number_format($totaldenda, 0, ',', '.') : number_format($totaldenda, 0, ',', '.') ?>
                    </th>
                    <th style="text-align: right;border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000;">
                        <?= ($formatcetak == 'pdf') ? number_format($totalpembayaran, 0, ',', '.') : number_format($totalpembayaran, 0, ',', '.') ?>
                    </th>
                </tr>
			</table>
			
			<table cellspacing="3" cellpadding="3" width="100%" class="font_sembilan" style="text-align: center;font-family:sans-serif;border-collapse: collapse;">
				<tr>
					<td colspan="4" style="padding-top:20px;">
						Mengetahui,<br>
                    <?= $ar_mengetahui->s_jabatanpej ?>
                    <br><br><br><br><br>
                    <u><b><?= $ar_mengetahui->s_namapej ?></b></u><br>
                    NIP <?= $ar_mengetahui->s_nippej ?>
					</td>
					<td colspan="3" width="100px"></td>
					<td colspan="4" style="padding-top:20px;">
						Diperiksa Oleh,<br>
                    <?= $ar_diperiksa->s_jabatanpej ?>
                    <br><br><br><br><br>
                    <u><b><?= $ar_diperiksa->s_namapej ?></b></u><br>
                    NIP <?= $ar_diperiksa->s_nippej ?>  
					</td>
				</tr>
            </table>
        </div>


        <?php if ($formatcetak == 'pdf') { ?>
        <htmlpagefooter name="MyCustomFooter">
            <table style="vertical-align: bottom; font-family: serif;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    <?php } ?>
</body>
</html>

<style type="text/css" media="print">
        
    @page {
        margin: 30px 40px 50px 30px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
</style>